/*******************************************************************************
 * Copyright (C) 2009
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 * 
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 * 
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.common.attributes;

import java.io.Serializable;

/**
 * The class StringAttributeValue represents a String value.
 *
 * @author Marko Reiprecht
 * @version $Revision: 2281 $
 */
public class StringAttributeValue extends AttributeValueAdapter implements Serializable {

    // ------------------------------ FIELDS ------------------------------

    /**
     * Field serialVersionUID.
     */
    private static final long serialVersionUID = 150966466107854740L;

    // --------------------------- CONSTRUCTORS ---------------------------

    /**
     * Constructor StringAttributeValue creates a new StringAttributeValue instance.
     *
     * @param pValue of type String
     */
    public StringAttributeValue(final String pValue) {
        super(pValue);
    }

    // -------------------------- OTHER METHODS --------------------------

    /**
     * Method getValue returns the value of this StringAttributeValue object.
     *
     * @return the value (type String) of this StringAttributeValue object.
     */
    public String getValue() {
        return (String) m_wrappedObject;
    }
}